### Method

# WebKit Settings set_allow_top_navigation_to_data_urls

#### Declaration [src]

    void
    webkit_settings_set_allow_top_navigation_to_data_urls (
      WebKitSettings* settings,
      gboolean allowed
    )

#### Description [src]

Set the `WebKitSettings:allow-top-navigation-to-data-urls` property.

Available since: | 2.28

Sets property | `WebKit.Settings:allow-top-navigation-to-data-urls`

#### Parameters

`allowed` | `gboolean`
| Value to be set.